Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24178

Description

I am migrating a plugin to QGIS3 and under Windows with the latest qgis-dev release(build 1182816) 

I get an error connecting to well know QgsVectorLayer signals:

vectorlayer.committedAttributesAdded.connect(self.attributes_added) or

vectorlayer.committedFeaturesAdded.connect(self.features_added)

give:

TypeError: C++ type 'QList' is not supported as a signal argument type

asking in Qgis developer list Matthias Kuhn states that:

"here on fedora it works

def test(layer, features):

    print(layer, features)

l.committedFeaturesAdded.connect(test)

So it seems to be a build issue, not a change in QGIS itself."

History

#1 - 2017-03-03 02:13 AM - Giovanni Manghi

- Target version set to Version 3.0

- Category set to Python plugins

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
